register_sound_special_device
Prev | Chapter 24. Sound Devices | Next

## Name

register_sound_special_device — register a special sound node

## Synopsis

`int register_sound_special_device (` | const struct file_operations * | fops,
| int | unit,
| struct device * | dev`)`;

## Arguments

`fops`

  File operations for the driver

`unit`

  Unit number to allocate

`dev`

  device pointer

## Description

Allocate a special sound device by minor number from the sound subsystem. The allocated number is returned on succes. On failure a negative error code is returned.

Prev | Up | Next
snd_printdd | Home | register_sound_mixer